Name:          argon2
Version:       20190702
Release:       1mamba
Summary:       A password-hashing function (reference C implementation)
Group:         Applications/Security
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/P-H-C/phc-winner-argon2
Source:        https://github.com/P-H-C/phc-winner-argon2.git/%{version}/phc-winner-argon2-%{version}.tar.bz2
License:       Apache License 2.0, CC0 License
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
## AUTOBUILDREQ-END
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
A password-hashing function (reference C implementation).

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.


%debug_package

%prep
%setup -q -n phc-winner-%{name}-%{version}

%build
%make ARGON2_VERSION="%{version}" OPTTARGET='none' LIBRARY_REL='%{_lib}' 

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall ARGON2_VERSION="%{version}" OPTTARGET='none' LIBRARY_REL='%{_lib}' 

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/argon2

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libargon2.so.*
%doc LICENSE

%files -n lib%{name}-devel
%defattr(-,root,root)
%{_includedir}/argon2.h
%{_libdir}/libargon2.a
%{_libdir}/libargon2.so
%{_libdir}/pkgconfig/libargon2.pc
%doc README.md


%changelog
* Thu Jan 26 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 20190702-1mamba
- package created using the webbuild interface
